:root {
	--layers-text-color: white;
	--layers-bg-color-gray: #79899D;
	--layers-bg-color-dark: var(--cdi-dark-blue, #566b84);;
	--layers-bg-color-light: #01bbf4;
}


/* layers.css */
.layerbox {
	position: fixed;
	min-width: 420px;
	width: 30vw;
	top: 72px;
	right: 65px;
	z-index: 4;
	display: none;
	max-height: 725px;
	overflow-y: auto;
	overflow-x: hidden;
}

.layer-content {
	background-color: var(--layers-bg-color-dark);
	color: var(--layers-text-color);
	/* width: calc(440px - 20px); */
	width: 100%;
	padding-bottom: 30px;
}

.layer-content header {
	box-shadow: none;
}

.layer_control_box {
	padding-bottom: 5px;
	padding-left: 8px;
}

.layerbox-addlayer {
	position: absolute;
	background-color: transparent;

	font-family: "Open Sans", arial, helvetica, sans-serif;
	font-size: 1rem;
	font-weight: bold;

	text-transform: uppercase;
	top: 7px;
	right: 10px;
	border: none;
	cursor: pointer;
	background: var(--layers-bg-color-light);
	color: var(--layers-text-color);
	z-index: 10;
	border: 1px solid var(--layers-bg-color-light);
}

.layerbox-addlayer:hover {
	border: 1px solid var(--layers-bg-color-light);
	background: var(--layers-bg-color-dark);
	color: var(--layers-bg-color-light);
}

.layerheader {
	position: relative;
	background-color: var(--layers-bg-color-dark);
	border-bottom: 1px solid var(--layers-text-color);
	font-size: 1em;
	text-transform: uppercase;
	height: auto;
	margin-bottom: 18px;
	padding: 8px 10px;
}

.layerheader h3 {
	color: var(--layers-text-color);
}

.layerbox .row {
	cursor: move;
	/* display: flex;
	align-items: flex-start;
	align-content: center;
	flex-wrap: wrap; */

	display: grid;
	align-content: center;
	gap: 4px;
	grid-template-columns: 15px 15px 15px auto 15px 150px 13px;

	padding-right: 10px;

}

.layerbox .row>img {
	width: 12px;
	height: auto;
	margin-top: 5px;
}

.layerbox .row span {
	font-size: 0.9em;
	/* width: 144px; */
	display: inline-block;
	text-overflow: ellipsis;
	white-space: nowrap;
	overflow: hidden;
	margin-top: -3px;
	margin-left: 5px;
}

/* .not-remove-layer {} */

.info-layer-text {
	background-color: var(--layers-bg-color-gray);
	font-size: 0.85em;
	width: 100%;
	padding: 8px;
	display: none;

	grid-column-start: 1;
	grid-column-end: 7;
}


.layerbox .row input[type="checkbox"],
.layerbox .row input[type="radio"] {
	margin: 0;
	width: 100%;
}

/* style range slider */
input[type="range"] {
	margin: 3px 10px 0 0;
	padding: 0px;
	-webkit-appearance: none;
	position: relative;
	overflow: hidden;
	height: 8px;
	/* width: 35%; */
	cursor: pointer;
	border-radius: 0;
	/* iOS */
}

input.hidden-opacity {
	opacity: 0 !important;
}


input[type="range"]::-webkit-slider-runnable-track {
	background: var(--layers-text-color);
}

/* 1. Set to 0 width and remove border for a slider without a thumb */
input[type="range"]::-webkit-slider-thumb {
	-webkit-appearance: none;
	width: 20px;
	/* 1 */
	height: 8px;
	background: var(--layers-bg-color-light);
	box-shadow: -100vw 0 0 100vw #ABBED1;
	/* border: 1px solid #999; */
	/* 1 */
}

input[type="range"]::-moz-range-track {
	height: 6px;
	background: var(--layers-text-color);
}

input[type="range"]::-moz-range-thumb {
	background: var(--layers-bg-color-light);
	height: 8px;
	width: 20px;
	border: 0px solid var(--layers-bg-color-light);
	border-radius: 0 !important;
	box-shadow: -100vw 0 0 100vw #ABBED1;
	box-sizing: border-box;
}

input[type="range"]::-ms-fill-lower {
	background: #ABBED1;
}

input[type="range"]::-ms-thumb {
	background: var(--layers-bg-color-light);
	border: 0px solid #999;
	height: 8px;
	width: 20px;
	box-sizing: border-box;
}

input[type="range"]::-ms-ticks-after {
	display: none;
}

input[type="range"]::-ms-ticks-before {
	display: none;
}

input[type="range"]::-ms-track {
	background: var(--layers-text-color);
	color: transparent;
	height: 8px;
	border: none;
}

input[type="range"]::-ms-tooltip {
	display: none;
}

.wms_check {
	margin-right: 10px;
}

.container-input label {
	cursor: pointer;
}

.btn {
	font-family: "Open Sans", arial, helvetica, sans-serif;
	color: var(--layers-text-color);
	text-align: center;
	text-transform: uppercase;
	min-width: 50%;
	padding: 3px 10px;
	display: inline-block;
	cursor: pointer;
}

.add-layer-btn {
	background: var(--layers-bg-color-light);
}

.get-capabilites-btn {
	background: var(--layers-bg-color-dark);
	margin-bottom: 5px;
	transition: all 0.3s ease 0s;
}

.get-capabilites-btn:hover {
	background: #7A8899;
}

.toggle-layers {
	background: url(../grfx/icon-collapse.png) no-repeat var(--layers-bg-color-dark) center center;
	background-size: auto 36px;
	color: var(--layers-text-color);
	cursor: pointer;
	width: 36px;
	height: 90px;
	padding: 3px 10px 5px 8px;
	position: absolute;
	right: -0px;
	top: 98px;
	z-index: 1000;
	opacity: 0.8;
}

.layer-icon {
	/* margin-right: 3px; */
	padding: 2px;

	width: 19px;
	height: 19px;
	background-size: 19px 19px;
	/* margin-right: 8px; */
	/* margin-top: 4px; */
}

img.layer-icon {
	border: none;
	outline: none;
}

.empty-layer {
	border: 0px;
	padding: 3px;
}

.remove-layer {
	background: url(../grfx/remove-icon.png) no-repeat;
	background-size: 15px 15px;
	cursor: pointer;
}

.info-layer {
	background: url(../grfx/info-icon.png) no-repeat;
	background-size: 15px 15px;
	cursor: pointer;
}

.addlayer-content {
	border: 0px;
	border-top: 1px solid #e2ebf2;
	margin-top: 20px;
	padding: 18px 10px 0px 0px;
	display: block;
}

.addlayer-content table tr td:first-child {
	font-weight: bold;
}

.addlayer-content td {
	padding-bottom: 6px;
}

.addlayer-content td input[type=text] {
	background: var(--layers-text-color);
	border: 1px solid #999;
	padding: 3px;
	min-width: 400px;
}


/* overrule */
#content table td:first-child {
	min-width: 216px;
}





@media only screen and (max-width: 1000px) {

	input {
		width: auto;
	}

}


@media only screen and (max-width: 480px) {

	.layer-content,
	.get-capabilites-btn,
	.add-layer-btn {
		width: 250px;
	}

	input[type=range] {
		width: 100%;
	}

	.layerbox-addlayer {
		left: calc(305px - 160px);
		font-size: 0.7em;
	}

	.layerheader,
	.layerbox .row span {
		font-size: 0.8em;
		width: auto;
	}

	.layer_container_wrapper {
		overflow-y: scroll;
	}

	.layerbox {
		width: 250px;
		right: 40px;
		overflow-y: scroll;
	}

	.addlayer-content td input[type=text] {
		min-width: auto;
	}

	.layer_control_box {
		padding-bottom: 0px;
	}

	.mlb-content div ul li:last-child {
		margin-right: 0px !important;
	}
}